function result = gacorrdim(data);
% Correlation dimension (Faure & Yunfan)
% Copyright Alexander Maye, University Medical Center Hamburg, 2007

trials = 1000;
bins = 40;
dims = 80;
startdim = 5;

for i=1:length(data)
  fprintf('\n%s\n', data{i}.name );
  times = data{i}.times;
  for j=1:size(times,2);
    fprintf('  %d: ', j);
    t = times(:,j)/20;
    t = t(find(t>0));
    isit=circshift(t,[-1 0]) - t;
    isi=isit(1:end-1,:);
    exp = zeros(1, dims);
    for dim = 1:dims
      v = embed( isi, startdim+dim );
      c = corrdim1single(v);
      if c ~= -1 
        exp(dim) = c;
      else
        fprintf('(dimension %d of %d) ', startdim+dim, startdim+dims);
        break
      end
    end
    cdimexp = mean(exp);

    shuffle = 0;
    for k=1:trials
      p = isi(randperm(length(isi)));
      r = zeros(1,dims);
      for dim = 1:dims
        v = embed( p, startdim+dim );
        r(dim) = corrdim1single( v );
      end
      shuffle(k) = mean(r);
    end

    range = max(shuffle) - min(shuffle);
    if range==0
      range = 0.1;
    end
    x = [min(shuffle):range/bins:max(shuffle)];
    n = histc(shuffle,x);
    [m, bin] = histc(cdimexp,x);
    if bin==0 
      percent = 0;
    else
      percent = n(bin)/trials*100;
    end
    result(j,i) = percent;
    fprintf('%f\n', percent);
  end
end
fprintf('\n');
