function gaplotcorrdim( result, data );
% Averages correlation dimension within each class and plots bar graph
% Copyright Alexander Maye, University Medical Center Hamburg, 2007

if nargin<2
  data = 0;
end

figure('PaperPositionMode','manual', 'PaperUnits','centimeters','PaperPosition', [0 0 8 4]);
set(gca,'FontSize',7);

m = mean(result);
s = sqrt(var(result)/size(result,1));

h=bar(m,'r');
set(h,'FaceColor','y');
hold on;
errorbar(m,s,'.k');
grid;
if iscell(data)
  for i=1:length(data)
    l{i} = data{i}.name;
  end
  set(gca,'XTickLabel',l);
end
ylim([0 0.08]);
ylabel('probability');
drawnow;
psname = 'gacorrdim.eps';
print('-depsc2', psname);
disp(['Written ' psname]);
