function gaplotgrip( result, data );
% Averages GRIP values and generates plot
% Copyright Alexander Maye, University Medical Center Hamburg, 2007

if nargin<2
  data = 0;
end

figure('PaperPositionMode','manual', 'PaperUnits','centimeters',...
  'PaperPosition', [0 0 8 4]);
set(gca,'FontSize',7);

for i = 1:size(result, 1)
  idx = find(result(i,:,1)~=0);
  idx = 1:size(result,2);
  m(i) = nanmean(abs(result(i,idx,1)-result(i,idx,2))'./result(i,idx,3)');
  s(i) = sqrt(var(abs(result(i,idx,1)-result(i,idx,2))'./result(i,idx,3)')/length(idx));
end

h=bar(m,'y');
hold on;
errorbar(m,s,'.k');
if iscell(data)
  for i=1:length(data)
    l{i} = data{i}.name;
  end
  set(gca,'XTickLabel',l);
end
ylabel('|c_d - <v_{12} \cdot v_{23}>| / \sigma');
drawnow;
print '-depsc2' gagrip.eps;
