function gaplotsmap( result, data );
% Averages s-map results and generates plot
% Copyright Alexander Maye, University Medical Center Hamburg, 2007

if nargin<2
  data = 0;
end

figure('PaperType', 'A4');
set(gca,'FontSize',7);
x = repmat([0:0.2:4]',1,size(result,3));
errorbar(x, squeeze(nanmean(result)), squeeze(sqrt(nanvar(result)/size(result,1))));
xlim([x(1) 4]);
%ylim([0 0.25]);
xlabel('\theta');
ylabel('\rho');
if iscell(data)
  for i = 1:size(result,3)
    l{i} = data{i}.name;
  end
  legend(l,'Location', 'NorthEastOutside');
end
print('-depsc2', 'gasmap-theta.eps');
end
