function garunlength(data);
% Computes the number of consecutive spikes to the same direction
% Copyright Alexander Maye, University Medical Center Hamburg, 2007

for i=1:length(data)
  fprintf('\n%s ', data{i}.name );
  directions = data{i}.dirs;
  for j=1:size(directions,2);
    fprintf('%d ', j);
    d = directions(:,j);
    d = d(find(d>0));
    y = runlengthsingle(d);
    rl(j,1:size(y,1),i) = (y(:,1)+y(:,2))/2;
  end
end
fprintf('\n');

[y,x] = meshgrid([1:length(data)], 1:size(rl,2));
m = reshape(mean(rl),size(rl,2),length(data));
s = reshape(sqrt(var(rl)/size(rl,1)), size(rl,2),length(data));

figure('PaperPositionMode','manual', 'PaperUnits','centimeters',...
'PaperPosition', [0 0 15 15]);
set(gca,'FontSize',7);

errorbar(x(1:19,:), m(1:19,:), s(1:19,:));
xlabel('number of spikes to same direction');
ylabel('probability');
%xlim([0 20])
ylim([0 0.51]);
grid;

for i=1:length(data)
  l{i} = data{i}.name;
end
legend( l );

drawnow;

print -depsc2 'garunlength.eps'

