function rho = gasmap(data);
% Computes s-map by Suguhara et al.
% Copyright Alexander Maye, University Medical Center Hamburg, 2007

maxTp = 20;
theta = 1;
cols = maxCols(data);
thetas = [0:0.2:4];

for i=1:length(data)
  fprintf('\n%s ', data{i}.name );
  times = data{i}.times;
  for j=1:size(times,2);
    fprintf('%d ', j);
    t = times(:,j);
    t = t(find(t~=0));
    isi = diff(t);
     Tp = 1;
     for thetai = 1:length(thetas)
      v = embed1( isi, data{i}.optimalE(j), 1);
      v = [ones(1, size(v, 2)); v];
      [prediction, groundtruth] = smapsingle(v, Tp, thetas(thetai));
      R = corrcoef(prediction, groundtruth);
      rho(j,thetai,i) = R(1,2);
    end
  end
end
fprintf('\n');

