function r = grip2(data);
% Computes GRIP (Tu & Fischbach) and compares it to the theoretical value
% Copyright Alexander Maye, University Medical Center Hamburg, 2007

for i=1:length(data)
  fprintf('\n%s ', data{i}.name );
  times = data{i}.times;
  for j=1:size(times,2);
    fprintf('%d ', j);
    t = times(:,j)/20;
    t = t(find(t>0));
    isit=circshift(t,[-1 0]) - t;
    isi=isit(1:end-1,:);

    [grexp, stdexp] = gripsingle(isi, 3);
    
    % Theoretical value comes from a very long sequence of the same
    % distribution
    ind = ceil(rand(1,1000000)*length(isi));
    grth = gripsingle(isi(ind), 3);
      
    r(i,j,1) = grth;
    r(i,j,2) = grexp;
    r(i,j,3) = stdexp;
  end
end
fprintf('\n');
