function plotngdr(h, data );
% Averages NGDR and plots bar graph
% Copyright Alexander Maye, University Medical Center Hamburg, 2007

if nargin<2
  data = 0;
end

figure('PaperPositionMode','manual', 'PaperUnits','centimeters','PaperPosition', [0 0 8 4]);
set(gca,'FontSize',7);

m = mean(h');
s = sqrt(var(h')/size(h',1)); %std(h');

h=bar(m,'r');
set(h,'FaceColor','y');
hold on;
errorbar(m,s,'.k');
grid;
if iscell(data)
  for i=1:length(data)
    l{i} = data{i}.name;
  end
  set(gca,'XTickLabel',l);
end
title('net to gross displacement ratio'); 
drawnow;

print '-depsc2' ngdr.eps;
