function [prediction, groundtruth] = smapsingle(v, Tp, theta);
% macht S-Map einer bereits eingebetteten Reihe

dim = size(v,1)-1;
l = fix(size( v, 2 )/2);
lib = v(:,1:l);
pred = v(:,l+1:end);

groundtruth = zeros(size(pred,2)-Tp,1);
prediction = zeros(size(pred,2)-Tp,1);

for i = 1:size(pred,2)-Tp
  [row col] = meshgrid( zeros(size(lib,2), 1), pred(:,i));
  diff = lib - col;
  dist = sqrt(sum(diff.^2))';
  avgdist = mean(dist);
  dist = exp(-theta*dist./avgdist);
  [row col] = meshgrid( zeros(size(lib,1),1), dist);
  A = col .* lib';
  
  Yi = v(end,1+Tp:l+Tp)';
  B = dist .* Yi;
  
  [U, S, V] = svd(A,0);
  C = V*diag(1./diag(S))*(U'*B);
  
  prediction(i) = C'*pred(:,i);
  groundtruth(i) = pred(end,i+Tp);
end
