function r = sproject(data);
% Performes simplex projection by Sugihara et al. to determine optimal embedding dimension
% Copyright Alexander Maye, University Medical Center Hamburg, 2007

dims = 30;
cols = maxCols(data);
Tp = 1;
r = data;

for i=1:length(data)
  fprintf('\n%s ', data{i}.name );
  times = data{i}.times;
  for j=1:size(times,2);
    fprintf('%d ', j);
    t = times(:,j);
    t = t(find(t~=0));
    isi = diff(t);
    
    for dim = 2:dims
      v = embed1(isi,dim,1);
      [prediction, groundtruth] = sprojectsingle(v, Tp);
      R = corrcoef(prediction, groundtruth);
      ccoeff(dim) = R(1,2);
    end
    [val idx] = max(ccoeff);
    idx
    r{i}.optimalE(j) = idx;
    subplot(length(data),cols,(i-1)*cols+j);
    plot(ccoeff);
    ylim([0 1]);
    xlim([1 dims]);
    drawnow;
  end
end
fprintf('\n');
print -depsc2 'sprojection.eps'
