function [prediction, groundtruth] = sprojectsingle(v, Tp);
% macht Simplexprojektion einer Reihe, eingebettet in eine Dimension 

%Tp = 1;

dim = size(v,1);
l = fix(size( v, 2 )/2);
lib = v(:,1:l);
pred = v(:,l+1:end);

groundtruth = zeros(l-Tp,1);
prediction = zeros(l-Tp,1);

for i = 1:l-Tp
  % Find dim+1 nearest neighbors
  [row col] = meshgrid( zeros(size(lib,2)-Tp, 1), pred(:,i));
  diff = lib(:,1:end-Tp)-col;
  dist = zeros(size(diff, 2), 1);
  for j = 1:size(diff, 2);
    dist(j) = norm(diff(:,j));
  end
  [val, idx] = sort(dist);
  % Compute exponential weights
  avgdist = mean(val(1:dim+1));
  avgdist = max(avgdist, eps);
  weights = exp(-val(1:dim+1)/avgdist);
  weights = weights / sum(weights);
  % Compute prediction from weighted evolution of library vectors
  evolidx = idx(1:dim+1) + Tp;
  [row col] = meshgrid(weights, zeros(dim,1));
  predictionvector = sum(row.*lib(:,evolidx), 2);
  prediction(i) = predictionvector(end);
  groundtruthvector = pred(:,i+Tp);
  groundtruth(i) = groundtruthvector(end);
end
